Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 598645 - /NET ACCESS UNDER AUTOFS5 DOESN'T WORK WITH LARGE EXPORT LIST
/NET ACCESS UNDER AUTOFS5 DOESN'T WORK WITH LARGE EXPORT LIST
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: autofs5 (Show other bugs)
4.8
All Linux
low Severity medium
: rc
: ---
Assigned To: Ian Kent
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 15:05 EDT by Bert Barbe
Modified: 2012-06-20 09:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:29:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch from netapp , applies to EL4U8 (753 bytes, patch)
2010-06-01 15:10 EDT, Bert Barbe
no flags Details | Diff

  None (edit)
Description Bert Barbe 2010-06-01 15:05:47 EDT
Description of problem:
-cd to a directory in /net fails with an error similar to this: cd: /net/server1/vol/fs: No such file or directory
-in /var/log/messages : automount[2149]: lookup_mount: exports lookup failed for server1
-Verify with showmount -e server1 that the export list can be obtained and is relatively large  (eg reproduced with a 38900 bytes long export list)


Version-Release number of selected component (if applicable):
5.0.1-0.rc2.106.el4_8.3

How reproducible: always with a large export list


Steps to Reproduce:
1. Create a large export list on a server 
2. Try to access an exported fs from that server with /net (cd /net/server/exportedfs)
3. This will fail as described above
  
Actual results:
cd fails with "No such file or directory"

Expected results:
cd should work

Additional info:
A patch has been published for this problem: 
http://www.mail-archive.com/autofs@linux.kernel.org/msg07910.html
Comment 1 Bert Barbe 2010-06-01 15:06:19 EDT
Problem also reproduces on EL5
Comment 2 Bert Barbe 2010-06-01 15:10:15 EDT
Created attachment 418779 [details]
patch from netapp , applies to EL4U8
Comment 3 Ian Kent 2010-06-01 21:57:42 EDT
I'm wondering why I didn't apply this upstream, perhaps there's
a reason I've since forgotten.

Can you provide a debug log of the problem occurring please.
Comment 4 Ian Kent 2010-06-02 22:01:21 EDT
(In reply to comment #3)
> I'm wondering why I didn't apply this upstream, perhaps there's
> a reason I've since forgotten.

And the reason would be because, whatever the problem is, this
patch doesn't resolve it. I can't reproduce this problem using
the supplied procedure.

Did you actually try this yourself?
If so, what was the export list on the server? 
What is the actual line for /net in the master map?

> 
> Can you provide a debug log of the problem occurring please.    

And where is the debug log showing the problem occurring?
Comment 5 Jiri Pallich 2012-06-20 09:29:29 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.